CVE-2021-3501

Click the icon to Follow me:- twitterTelegramRedditDiscord

Summary:

A flaw was found in the Linux kernel in versions before 5.12. The value of internal.ndata, in the KVM API, is mapped to an array index, which can be updated by a user process at anytime which could lead to an out-of-bounds write. The highest threat from this vulnerability is to data integrity and system availability.

Reference Links(if available):

  • https://bugzilla.redhat.com/show_bug.cgi?id=1950136
  • https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=04c4f2ee3f68c9a4bf1653d15f1a9a435ae33f7a
  • https://security.netapp.com/advisory/ntap-20210618-0008/
  • CVSS Score (if available)

    v2: / HIGHAV:L/AC:L/Au:N/C:N/I:P/A:P

    v3: / HIGHCVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:H/A:H

    Links to Exploits(if available)

  • Available for Amazon Prime